goocanvasmm: Goocanvas::Path Class Reference

# Goocanvas::Path Class Reference

Inheritance diagram for Goocanvas::Path:
[legend]

List of all members.

## Public Member Functions
virtual | ~Path ()
GooCanvasPath* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasPath* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasPath* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_data ()
| The sequence of path commands.
## Static Public Member Functions
static Glib::RefPtr< Path > | create (const Glib::ustring& data)
## Protected Member Functions
| Path (const Glib::ustring& data)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Path > | wrap (GooCanvasPath* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Path::~Path | ( |  | ) | `[virtual]`

Goocanvas::Path::Path | ( | const Glib::ustring & | data | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Path> Goocanvas::Path::create | ( | const Glib::ustring & | data | ) | `[static]`

const GooCanvasPath* Goocanvas::Path::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasPath* Goocanvas::Path::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasPath* Goocanvas::Path::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::Path::property_data | ( |  | ) |

The sequence of path commands.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Path > wrap | ( | GooCanvasPath * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/path.h